Package com.ocient.jdbc.proto

# Interface PlanProtocol.CheckedExceptionColsOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.CheckedExceptionCols`, `PlanProtocol.CheckedExceptionCols.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.CheckedExceptionColsOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getCols​(int index)` | `repeated string cols = 1;`
`com.google.protobuf.ByteString` | `getColsBytes​(int index)` | `repeated string cols = 1;`
`int` | `getColsCount()` | `repeated string cols = 1;`
`List<String>` | `getColsList()` | `repeated string cols = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getColsList

List<String> getColsList()
`repeated string cols = 1;`

### getColsCount

int getColsCount()
`repeated string cols = 1;`

### getCols

String getCols​(int index)
`repeated string cols = 1;`

### getColsBytes

com.google.protobuf.ByteString getColsBytes​(int index)
`repeated string cols = 1;`